Subject: Re: GraphicsMagick build on cygwin
From: marco atzeri <[email-masked]>
To: john grant <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Mar 2011 17:16:01 +0100
List-Id: <cygwin.cygwin.com>

On Mon, Mar 21, 2011 at 4:27 PM, john grant  wrote:
> Hi Marco,
> I've attached the file. I made it in GIMP by cropping an image made by my
> digital Kodak camera. Thanks for looking into this problem,
> John
>
> ________________________________
> From: marco atzeri
> To: john grant
> Sent: Mon, March 21, 2011 2:33:43 AM
> Subject: Re: GraphicsMagick build on cygwin
>
> On Sun, Mar 20, 2011 at 10:21 PM, john grant <[email-masked]>
> wrote:
>> Hi,
>> I'm trying to load a .JPG file with octave 3.4 on cygwin (Vista). I get
>> the
>> following error. Thanks for any tips.
>> John
>>
>> octave:1> imfinfo('office_lowres.JPG')
>> warning: your version of GraphicsMagick limits images to 16 bits per pixel
>> error: Magick++ exception: Magick: No decode delegate for this image
>> format
>> () reported by
>>
>> /pub/cygports/graphicksmagick/GraphicsMagick-1.3.12-1/src/GraphicsMagick-1.3.12/magick/constitute.c:8279
>> (ReadImage)
>>
>>
>>
>
>
> John,
> could you send me your image for GM 32 bit tests ?
>
> Regards
>
> Marco
> octave and GM cygwin package maintainer
>
>

John,
on my Windows xp, I have no problem on reading the image

octave:3> a=imfinfo("office_lowres.JPG")
warning: your version of GraphicsMagick limits images to 16 bits per pixel
a =

  scalar structure containing the fields:

    Filename = /tmp/octave/office_lowres.JPG
    FileModDate = 21-Mar-2011 16:40:37
    FileSize =  48961
    Height =  300
    Width =  400
    BitDepth =  8
    Format = JPEG
    LongFormat = Joint Photographic Experts Group JFIF format
    XResolution =  72
    YResolution =  72
    TotalColors =  21765
    TileName =
    AnimationDelay = 0
    AnimationIterations = 0
    ByteOrder = undefined
    Gamma = 0
    Matte = 0
    ModulusDepth =  8
    Quality =  75
    QuantizeColors =  256
    ResolutionUnits = undefined
    ColorType = truecolor
    View =

$ cygcheck -c octave GraphicsMagick
Cygwin Package Information
Package              Version        Status
GraphicsMagick       1.3.12-1       OK
octave               3.4.0-2        OK

are you sure that the permissions on the file are correct ?

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple